---
title: IntersectionObserverEntry.isIntersecting
slug: Web/API/IntersectionObserverEntry/isIntersecting
tags:
  - API
  - Experimental
  - Intersection Observer
  - Intersection Observer API
  - IntersectionObserverEntry
  - Property
  - Reference
  - isIntersecting
---
<div>{{APIRef("Intersection Observer API")}}</div>

<p><span class="seoSummary">The {{domxref("IntersectionObserverEntry")}} interface's read-only <strong><code>isIntersecting</code></strong> property is a Boolean value which is <code>true</code> if the target element intersects with the intersection observer's root. If this is <code>true</code>, then, the <code>IntersectionObserverEntry</code> describes a transition into a state of intersection; if it's <code>false</code>, then you know the transition is from intersecting to not-intersecting.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var><code>var <em>isIntersecting</em> = </code>IntersectionObserverEntry</var>.isIntersecting;
</pre>

<h3 id="Value">Value</h3>

<p>A Boolean value which indicates whether the {{domxref("IntersectionObserverEntry.target", "target")}} element has transitioned into a state of intersection (<code>true</code>) or out of a state of intersection (<code>false</code>).</p>

<h2 id="Example">Example</h2>

<p>In this simple example, an intersection callback is used to update a counter of how many targeted elements are currently intersecting with the {{domxref("IntersectionObserver.root", "intersection root", "", 1)}}.</p>

<pre class="brush: js notranslate">function intersectionCallback(entries) {
  entries.forEach(function(entry) {
    if (entry.isIntersecting) {
      intersectingCount += 1;
    } else {
      intersectingCount -= 1;
    }
  });
}</pre>

<p>To see a more concrete example, take a look at {{SectionOnPage("/en-US/docs/Web/API/Intersection_Observer_API/Timing_element_visibility", "Handling intersection changes")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('IntersectionObserver', '#dom-intersectionobserverentry-isintersecting', 'IntersectionObserverEntry.isIntersecting')}}</td>
   <td>{{Spec2('IntersectionObserver')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.IntersectionObserverEntry.isIntersecting")}}</p>
